curl --request POST \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conclusions": [
{
"content": "<string>",
"observer_id": "<string>",
"observed_id": "<string>",
"session_id": "<string>"
}
]
}
'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions"
payload = { "conclusions": [
{
"content": "<string>",
"observer_id": "<string>",
"observed_id": "<string>",
"session_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conclusions: [
{
content: '<string>',
observer_id: '<string>',
observed_id: '<string>',
session_id: '<string>'
}
]
})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"content": "<string>",
"observer_id": "<string>",
"observed_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"level": "explicit",
"source_ids": [
"<string>"
],
"times_derived": 1
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Conclusions
Create one or more Conclusions.
Conclusions are logical certainties derived from interactions between Peers. They form the basis of a Peer’s Representation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Batch of Conclusions to create
1 - 100 elementsShow child attributes
Show child attributes
Response
Successful Response
The peer who made the conclusion
The peer the conclusion is about
Reasoning level of the conclusion: 'explicit' (directly extracted from messages) or 'deductive'/'inductive'/'contradiction' (derived during dreaming).
explicit, deductive, inductive, contradiction IDs of the conclusions this one was derived from: premises for 'deductive', supporting sources for 'inductive', conflicting conclusions for 'contradiction'. Empty for 'explicit' conclusions, which derive from messages rather than from other conclusions.
Number of times this conclusion has been independently derived.
Was this page helpful?